Create seller comment

Credentials

No credentials are documented for this endpoint.

Add a comment to a seller's record

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
sellerId string yes Seller ID
commentCategory string no Comment category
commentText string yes Comment text

Request example

No example is documented; this template is generated from the fields — replace the placeholder values.

{
  "sellerId": "<sellerId>",
  "commentCategory": "<commentCategory>",
  "commentText": "<commentText>"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/comment' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "sellerId": "<sellerId>",
  "commentText": "<commentText>"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/comment", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "sellerId": "<sellerId>",
    "commentText": "<commentText>"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/comment",
    json={
        "sellerId": "<sellerId>",
        "commentText": "<commentText>",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "sellerId": "<sellerId>",
  "commentText": "<commentText>"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/comment');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

201 — Comment created successfully (success)

400 — Bad Request (error)

Field Type Description
statusCode integer HTTP status code
message string Error message(s)
error string Error type
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized (error)

Field Type Description
error string
error_description string
{
  "error": "unauthorized_client",
  "error_description": "Client authentication failed"
}